from PyQt5 import QtGui
from PyQt5.QtWidgets import QApplication, QMainWindow
from PyQt5.QtGui import QPainter, QBrush, QPen
from PyQt5.QtCore import Qt

import sys

class Window(QMainWindow):

    def __init__(self):
        super().__init__()
        self.title = "Draw"
        self.top = 150
        self.left = 150
        self.width = 500
        self.height = 500
        self.InitWindow()

    def InitWindow(self):
        self.setWindowTitle(self.title)
        self.setGeometry(self.top, self.left, self.width, self.height)
        self.show()

    def paintEvent(self, event):
        painter = QPainter(self)
        painter.begin(self)
        painter.setRenderHint(QPainter.Antialiasing)

        #painter.setPen(QPen(Qt.green, 8, Qt.DashLine))
        #painter.drawEllipse(40, 40, 400, 400)
        painter.setPen(QPen(Qt.green, 6, Qt.SolidLine))
        painter.drawEllipse(50, 50, 100, 100)

        painter.setPen(Qt.red)
        painter.setBrush(Qt.white)
        painter.drawLine(0, 0, 200, 200)
        
App = QApplication(sys.argv)
window = Window()
sys.exit(App.exec_())
